패치: HP-UX

HP-UX 시스템이 안정적이고 안전하도록 보장하려면 다음 작업을 수행합니다.

  • Support Plus 릴리스에서 제공되는 최신 품질 팩 패치 번들을 설치합니다. 패치 번들은 정기적으로 출시되며 가장 안정적이면서 철저한 테스트를 완료한 패치 세트를 제공합니다. 번들에 포함되어 있는 패치에 대한 경고와 함께 추가적인 패치가 제공되는 경우 이것도 적용하도록 하십시오.
  • 패치 평가를 실행하여 다음 사항을 파악합니다.

    • 적절한 보안 패치
    • 품질 팩 패치 번들이 적용되지 않는 하위 시스템 또는 응용 프로그램에 대한 패치
    • 중요 경고가 포함된 기존 패치 교체

    패치 평가를 실행하면 시스템에 현재 권장되는 구성이 있는지 확인할 수 있습니다.

  • 적절한 지원 정보 다이제스트를 구독하여 새로운 패치가 제공될 때 이러한 패치 정보를 놓치지 않도록 합니다.

표준 HP-UX 패치 번들

각 릴리스의 웹 페이지는 다음 패치 번들에 대한 정보 및 다운로드 지침을 제공합니다.

번들 이름 설명
BUNDLE11i 필수 사항입니다.
FEATURE11i

HP-UX 11i V2 및 V3 미디어 릴리스에서 새로운 또는 업데이트된 소프트웨어 기능을 지원하기 위해 필요한 경우 업데이트합니다. 새 제품 기능을 통해 알려진 제품 작동 및 핵심 결함 수정에 필요한 패치로 구성되어 있습니다.

HP-UX 11i V2 및 V3 응용 프로그램 소프트웨어 미디어 및 OE 업데이트 미디어에는 각 릴리스의 소프트웨어 제품에 필요한 패치가 들어 있는 FEATURE11i 패치 번들이 포함됩니다.

HWE(하드웨어 인에이블먼트) 새로운 하드웨어를 지원하기 위해 필요한 경우 업데이트합니다.
QPK(품질 팩)

사전 예방 유지보수를 위해 결함 수정 패치를 제공합니다.

연 2회 업데이트:

  • HP-UX 11i V1 및 V2: 6월, 12월
  • HP-UX 11i V3: 3월, 9월
다음 문제를 해결하는 새로운 패치:이 번들에 포함된 항목:
하드웨어 지원만HWE만
결함 수정만

QPK만

하드웨어 지원 및

결함 수정 둘 다

QPK 및 HWE 둘 다

따라서 HP-UX의 지정 버전용 HWE 또는 QPK 번들에 여러 버전의 패치(이전 또는 새 패치)가 있을 수 있습니다.

번들 정보

표준 HP-UX 패치 번들 페이지는 다음 패치 번들에 대한 정보 및 설치 지침을 제공합니다.

번들 이름 설명
BUNDLE11i 모든 HP-UX 11i 버전 1 워크스테이션 및 서버에 필요한 커널 헤더 파일 및 콜드 설치/업데이트 패치로 구성되어 있습니다
HWE 각 HP-UX 11i 버전용 새 하드웨어 및 레거시 하드웨어를 지원할 수 있는 최소한의 패치를 제공합니다
QPK HP-UX 11i OE 업데이트 릴리스에서 지원되는 HP-UX 코어, 그래픽, 주요 네트워킹 드라이버 및 응용 프로그램에 대한 안정적인 결함 수정 패치가 모두 포함됩니다. HPE에서는 새 HP-UX OS 릴리스와 동일한 테스트를 통해 각 품질 팩 번들을 완벽하게 테스트했습니다.

패치 평가 실행

패치 평가 실행은 시스템에 일관된 최신 패치가 설치되어 있는지 확인해 줍니다. 다음 항목이 필요합니다.

  • 시스템 구성 파일: 패치 및 패치 번들을 비롯하여 현재 어떤 소프트웨어가 설치되어 있는지 파악합니다.
  • 평가 프로파일: 평가 프로파일은 시스템에 적합한 패치 및 패치 번들을 결정하기 위해 사용할 규칙이 포함되어 있습니다.

평가 프로파일 구성

패치 평가 도구의 동작을 사용자 정의할 수 있도록 해주는 평가 프로파일. 프로파일을 조정해 식별할 문제 유형, 확인할 패치 세트 및 현재 패치 전략의 위험성을 확인할 수 있습니다.

평가 결과 해석

패치 평가의 출력에는 분석 중인 시스템에 대해 확인된 패치 문제 목록이 포함됩니다. 표시되는 문제는 위에서 설명한 대로 구성 프로파일에 의해 제어됩니다.

가능하면 표시된 모든 패치 문제의 경우 적합한 패치 또는 문제를 해결해주는 패치 번들을 지정하는 것이 좋습니다. 권장 항목은 일반적으로 적합한 결함 수정이 포함된 최신 패치가 됩니다. 권장할 패치는 평가 프로파일에 지정된 패치 전략에 의해 결정됩니다.

하나의 권장 항목만으로 여러 개의 관련 문제를 해결하는 경우가 많습니다. 특히 최신 품질 팩을 설치할 것을 권장할 경우에 그렇습니다. 이러한 경우 권장 패치 또는 패치 번들에서 해결된 모든 문제는 아래에 즉시 나열됩니다.

평가 프로파일은 패치 평가 도중 사용할 분석 프로그램을 제어합니다. 표시되는 각 문제의 경우 문제를 확인한 분석 프로그램의 이름이 포함됩니다.

(평가 결과 페이지의 링크를 누르면 자세한 배치 평가 보고서를 텍스트 형식으로 생성할 수 있습니다. 이 보고서는 시스템, 평가 프로파일 및 각 분석가의 권장 사항에 대한 자세한 정보를 제공하고 보관 또는 이메일로 보내기에 적합합니다.)

HP-UX 패치 - 권고 사항

2007년 11월 28일에 발표된 HP-UX 패치에는 고객이 HPE 고객 지원 센터 데이터베이스에서 검색하려는 특정 특성이 있는 결함을 인식하는 데 사용할 권고 사항이라는 추가 텍스트가 포함될 수 있습니다. CRITICAL 플래그가 있는 일부 패치의 세부 정보 섹션에 새 어구가 포함됩니다. 다음과 같이 두 가지의 형태의 권고가 있습니다.

권고 사항 유형 패치로 수정되는 결함에 다음과 같은 특성이 있는 경우 포함됨
수동 복구 필요
  • 장치, 메모리, 파티션 또는 하위 시스템 등의 시스템 리소스를 사용할 수 없게 됩니다.
  • 일반적인 치료 또는 해결 방법을 적용한 후에도 여전히 리소스를 사용할 수 없습니다. 이러한 치료에는 응용 프로그램 종료 및 다시 시작, 시스템 종료 및 다시 시작, Serviceguard 로컬 전환 및/또는 Serviceguard 장애 조치가 포함될 수 있습니다.
  • 구성을 변경하고, 데이터 손상을 수정하고, 소프트웨어를 다시 설치하는 직접적인 개입이나 유사한 복구 단계를 통해 리소스를 다시 사용할 수 있습니다.
Serviceguard 클러스터 문제

Serviceguard가 다음 작업을 수행할 수 없도록 하는 소프트웨어 결함:

  • 응답하지 않는 시스템을 인식. 따라서 정상적인 장애 조치가 이루어지지 않습니다.
  • 정상적인 장애 조치 완료.
  • 올바른 로컬 스위치 처리. 따라서 네트워크 중복성을 렌더링합니다.

HP-UX 11i 버전 2 2004년 9월판

HP-UX 11i v2 시스템에서 패치 평가 실행

HPE 고객 지원 센터를 이용하여 HP-UX 11i v2 시스템을 분석할 경우 2004년 9월 HP-UX 11i v2 이상 버전으로 업데이트해야 분석이 완료됩니다. 2004년 9월 이전에 릴리스된 HP-UX 11i v2가 있을 경우 먼저 시스템을 업데이트한 다음 패치 평가를 수행해야 합니다.

2004년 9월 HP-UX 11i v2 이상 버전이 시스템에 설치되어 있는지 확인하려면 다음 swlist 명령을 사용하여 BUNDLE11i의 버전을 확인하십시오.

swlist -l bundle | grep BUNDLE11i

BUNDLE11i의 버전은 B.11.23.0409.3이어야 합니다. 버전 B.11.23.0408.1이 시스템에 설치되어 있을 경우 2004년 9월 HP-UX 11i v2를 계속 로드해야 합니다.

이미 시스템에 HP-UX 11i v2가 있지만 2004년 9월 HP-UX 11i v2로 업데이트해야 하는 고객은 "2004년 9월 HP-UX 11i v2 미디어 구하기" 섹션의 지침에 따라 필요한 미디어를 구할 수 있습니다.

개별 HP-UX 11i v2 패치 다운로드

2004년 9월 HP-UX 11i v2 릴리스의 일부는 패치를 통해 제공되며 이러한 패치는 HPE 고객 지원 센터에서 "필수" 패치로 지정되어 있습니다. HPE 고객 지원 센터에서 이러한 필수 패치를 개별적으로 다운로드하려는 경우 다음과 같은 경고 메시지가 표시됩니다.

"'필수' 패치로 지정된 모든 패치는 다운로드하거나 개별적으로 설치하지 마십시오. 대신, 적어도 선택한 패치가 포함될 HP-UX 11i 버전 2(B.11.23)의 2004년 9월 분기 릴리스로 시스템을 업데이트해야 합니다."

이 메시지가 표시될 경우 다음 swlist 명령으로 시스템의 BUNDLE11i 버전을 확인하여 2004년 9월 HP-UX 11i v2 이상 버전이 설치되어 있는지 확인할 수 있습니다.

swlist -l bundle | grep BUNDLE11i

BUNDLE11i의 버전은 B.11.23.0409.3이어야 합니다. 버전 B.11.23.0408.1이 시스템에 설치되어 있을 경우 2004년 9월 HP-UX 11i v2를 계속 로드해야 합니다. 필요한 경우 미디어를 구하는 방법에 대한 자세한 내용은 "HP-UX 11i v2 2004년 9월 미디어 구하기" 섹션을 참조하고 HP-UX 11i v2 2004년 9월로 업데이트하기 전에 이 문서에 포함된 텍스트 상자에서 2개의 중요한 참고 사항도 읽어보십시오. HP-UX 11i v2 2004년 9월 이상이 로드되면 여기에는 처음에 HPE 고객 지원 센터에서 선택하려고 했던 패치가 포함되어 있습니다. 해당 패치가 이 웹 페이지로 이동됩니다. 2004년 9월 HP-UX 11i v2 이상 버전이 로드되면 이 특정 패치를 더 이상 로드하지 않아도 됩니다.

패치 세트 정의

패치 세트는 일반적인 HPE 제품 및 하위 시스템을 지원하기 위해 설치해야 하는 패치의 그룹입니다. 모든 버전의 HP-UX에서 패치 세트를 모두 사용할 수 있는 것은 아닙니다. 사용 중인 HP-UX 버전에 대한 특정 패치 세트 버전이 없을 경우 해당 HP-UX 버전에서 제품 또는 하위 시스템을 지원하기 위해 필요한 패치 세트가 없기 때문일 수도 있습니다.

패치 세트가 정기적으로 추가 및 수정되는 동안 아래 섹션의 표는 현재 사용할 수 있는 패치 세트를 보여줍니다.